import { PolarBase } from "./PolarBase";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { MarkerFillMode } from "./MarkerFillMode";
import { Type } from "igniteui-react-core";
import { PolarBaseView } from "./PolarBaseView";
/**
 * @hidden
 */
export declare class PolarScatterSeries extends PolarBase {
    static $t: Type;
    protected bi(): Series;
    protected get_eg(): boolean;
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    ab7: PolarScatterSeriesView;
    protected jj(): number;
    ws(): MarkerFillMode;
    constructor();
}
/**
 * @hidden
 */
export declare class PolarScatterSeriesView extends PolarBaseView {
    static $t: Type;
    protected c8: PolarScatterSeries;
    constructor(a: PolarScatterSeries);
    au(): void;
    protected af(): void;
}
